org.apache.fop.afp.goca

## Class GraphicsSetCurrentPosition

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
    - - org.apache.fop.afp.goca.AbstractGraphicsCoord
      - - org.apache.fop.afp.goca.GraphicsSetCurrentPosition

- All Implemented Interfaces:
    Streamable, StructuredData

      public class GraphicsSetCurrentPosition
      extends AbstractGraphicsCoord

  Sets the current painting position of the graphics object

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord

      `coords, relative`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsSetCurrentPosition(int[] coords)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte` | `getOrderCode()` Returns the order code of this structured field

    - ### Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord

      `addCoords, getDataLength, isRelative, toString, writeToStream`

    - ### Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder

      `getName`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphicsSetCurrentPosition

          public GraphicsSetCurrentPosition(int[] coords)

      Constructor
      Parameters:
        `coords` - the x/y coordinates for this object

  - ### Method Detail

    - #### getOrderCode

          protected byte getOrderCode()

      Returns the order code of this structured field
      Returns:
        the order code of this structured field

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.